package net.gimite.androidirc;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class ConfigActivity extends Activity {

	private EditText hostEdit;
	private EditText portEdit;
	private EditText channelEdit;
	private EditText nickEdit;
	private EditText encodingEdit;
	private Button connectButton;
	private Button cancelButton;
	
	private SharedPreferences config;
	
	@Override
	protected void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		setContentView(R.layout.config_activity);
		hostEdit= (EditText)findViewById(R.id.hostEdit);
		portEdit= (EditText)findViewById(R.id.portEdit);
		channelEdit= (EditText)findViewById(R.id.channelEdit);
		nickEdit= (EditText)findViewById(R.id.nickEdit);
		encodingEdit= (EditText)findViewById(R.id.encodingEdit);
		connectButton= (Button)findViewById(R.id.connectButton);
		cancelButton= (Button)findViewById(R.id.cancelButton);
		connectButton.setOnClickListener(onConnectClick);
		cancelButton.setOnClickListener(onCancelClick);
		
		config = getSharedPreferences("connection", 0);
		hostEdit.setText(config.getString("host", "chat.freenode.net"));
		portEdit.setText(Integer.toString(config.getInt("port", 6667)));
		channelEdit.setText(config.getString("channel", ""));
		nickEdit.setText(config.getString("nick", ""));
		encodingEdit.setText(config.getString("encoding", "UTF-8"));
	}

    private OnClickListener onConnectClick = new OnClickListener()
    {
        public void onClick(View v)
        {
        	SharedPreferences.Editor editor = config.edit();
        	editor.putString("host", hostEdit.getText().toString());
        	editor.putInt("port", Integer.parseInt(portEdit.getText().toString()));
        	editor.putString("channel", channelEdit.getText().toString());
        	editor.putString("nick", nickEdit.getText().toString());
        	editor.putString("encoding", encodingEdit.getText().toString());
        	editor.commit();
        	setResult(RESULT_OK);
            finish();
        }
    };
    
    private OnClickListener onCancelClick = new OnClickListener()
    {
        public void onClick(View v)
        {
        	setResult(RESULT_CANCELED);
            finish();
        }
    };
    
}
